Index: trunk/import/nutzungsart_laden.sql
===================================================================
--- trunk/import/nutzungsart_laden.sql	(revision 298)
+++ trunk/import/nutzungsart_laden.sql	(revision 352)
@@ -22,5 +22,7 @@
 --               Fehlende Werte aus konvertierten Daten ergÃ€nzen. Wenn dies in der Praxis wirklich 
 --               vorkommt, sollte das Lade-Script "nutzungsart_metadaten.sql" ergÃ€nzt werden.
-
+--  2015-03-10 Korrektur: bei ax_TagebauGrubeSteinbruch ist nutz_id = 5
+--             EinschrÃ€nkung " AND st_geometrytype(wkb_geometry) = 'ST_Polygon' " deaktivieren, denn
+--             es ist ein neuer Geometrietyp "ST_CurvePolygon" aufgetaucht.
 
 SET client_encoding = 'UTF-8';
@@ -48,6 +50,6 @@
   FROM ax_wohnbauflaeche
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
-
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 -- 02 REO: ax_IndustrieUndGewerbeflaeche
@@ -57,5 +59,6 @@
   FROM ax_industrieundgewerbeflaeche
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -66,5 +69,6 @@
   FROM ax_halde
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -75,5 +79,6 @@
   FROM ax_bergbaubetrieb
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -82,7 +87,8 @@
 INSERT INTO nutzung (gml_id, beginnt, nutz_id, class,                 info, zustand, name, bezeichnung, wkb_geometry)
   SELECT             gml_id, beginnt, 5,       coalesce(abbaugut, 0), null, zustand, name, null,        wkb_geometry 
-  FROM ax_tagebaugrubesteinbruch
-  WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+  FROM ax_bergbaubetrieb
+  WHERE endet IS NULL
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -93,5 +99,6 @@
   FROM ax_flaechegemischternutzung
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -102,5 +109,6 @@
   FROM ax_flaechebesondererfunktionalerpraegung
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -111,5 +119,6 @@
   FROM ax_sportfreizeitunderholungsflaeche
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 -- weiteres Feld: name char(20)?
 
@@ -121,5 +130,6 @@
   FROM ax_friedhof
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -132,5 +142,6 @@
   FROM ax_strassenverkehr
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -149,5 +160,6 @@
   FROM ax_platz
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -158,5 +170,6 @@
   FROM ax_bahnverkehr
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 -- bahnkategorie ist alternativ ein geeignetes class-Feld
 
@@ -168,5 +181,6 @@
   FROM ax_flugverkehr
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -177,5 +191,6 @@
   FROM ax_schiffsverkehr
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -188,5 +203,6 @@
   FROM ax_landwirtschaft
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -197,5 +213,6 @@
   FROM ax_wald
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -206,5 +223,6 @@
   FROM ax_gehoelz
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -215,5 +233,6 @@
   FROM ax_heide
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -224,5 +243,6 @@
   FROM ax_moor
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -233,5 +253,6 @@
   FROM ax_sumpf
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -242,5 +263,6 @@
   FROM ax_unlandvegetationsloseflaeche
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 -- (23 NummerierungslÃŒcke)
@@ -254,5 +276,6 @@
   FROM ax_fliessgewaesser
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -263,5 +286,6 @@
   FROM ax_hafenbecken
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -272,5 +296,6 @@
   FROM ax_stehendesgewaesser
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 
@@ -281,5 +306,6 @@
   FROM ax_meer
   WHERE endet IS NULL
-    AND st_geometrytype(wkb_geometry) = 'ST_Polygon';
+--  AND st_geometrytype(wkb_geometry) = 'ST_Polygon'
+  ;
 
 