Index: /trunk/import/zip_ordner.sh
===================================================================
--- /trunk/import/zip_ordner.sh	(revision 352)
+++ /trunk/import/zip_ordner.sh	(revision 353)
@@ -5,9 +5,10 @@
 ## ------------------------------------------------------------------------------
 ## Stand: 
-##  2011-07-25  PostNAS 07, Umbenennung
-##
+##  2015-01-12  PostNAS 08
+
   echo "**************************************************"
-  echo "**   NAS-Dateien in einem Ordner zippen         **"
+  echo "**  NAS-Dateien in einem Ordner einzeln zippen  **"
   echo "**************************************************"
+
   ORDNER=$1
   if [ $ORDNER = '' ]
@@ -17,8 +18,10 @@
     exit 1
   fi
+
   echo "*** Ordner = '${ORDNER}'"
   cd ${ORDNER}
   echo " "
   ls
+
   for nasdatei in *.xml ; do 
     echo "  * Datei: " $nasdatei
@@ -26,5 +29,5 @@
     zip -m ${nasdatei}.zip  ${nasdatei}
   done
+
   ls
   echo "** E n d e  -  Zippen des Ordners '${ORDNER}'"
-##
Index: /trunk/import/konv_batch.sh
===================================================================
--- /trunk/import/konv_batch.sh	(revision 352)
+++ /trunk/import/konv_batch.sh	(revision 353)
@@ -41,6 +41,10 @@
 ##                   Keine Abfrage des Symlinks auf kill/hist. Enstscheidend ist die aktuelle DB, nicht der Symlink
 ##   2014-09-23 F.J. krz: ZÃ€hlung der Funktionen in delete, dies in import-Tabelle eintragen (Metadaten)
+##   2015-02-17 F.J. krz: OGR_SKIP=GML ?
+##   2015-03-16 F.J. krz: "-nlt CONVERT_TO_LINEAR" ersetzt "ST_CurvePolygon" nÃ€herungsweise durch "ST_Polygon"
+##   2015-03-24 F.J. krz: export NAS_INDICATOR
 
 ## ToDo: 
+## - Vor der Konvertierung: Sicherung der DB als SQL-Dump
 ## - Unterscheidung e/a noch sinnvoll? Immer "a" = Aktualisierung = -update ?
 ## - PostProcessing: Aufruf Script, sonst redundant zu pflegen
@@ -149,4 +153,5 @@
   echo "Dateien in " ${ORDNER} " (ls) :"
   ls
+
   for zipfile in *.zip ; do 
     echo " "
@@ -156,4 +161,5 @@
     unzip ${zipfile}  -d ../temp
     # Es sollte nur ein XML-File in jedem ZIP-File stecken, aber es geht auch anders.
+
     for nasdatei in ../temp/*.xml ; do 
       # echo "* Datei:  " $nasdatei
@@ -164,13 +170,31 @@
         export GML_FIELDTYPES=ALWAYS_STRINGS    # PostNAS behandelt Zahlen wie Strings, PostgreSQL-Treiber macht daraus Zahlen
         export OGR_SETFIELD_NUMERIC_WARNING=YES # Meldung abgeschnittene Zahlen?
+	#	export OGR_SKIP=GML  	# NAS-Daten auch mit "falschen Header" nicht wie GML konvertieren - NEIN!
+								# http://lists.osgeo.org/pipermail/nas/2014-December/000740.html
        #export CPL_DEBUG=ON                     # Meldung, wenn Attribute ueberschrieben werden
- 
+
+        # Headerkennungen die NAS-Daten identifizieren
+        export NAS_INDICATOR="NAS-Operationen.xsd;NAS-Operationen_optional.xsd;AAA-Fachschema.xsd;ASDKOM-NAS-Operationen_1_1_NRW.xsd"
+
       # PostNAS Konverter-Aufruf
       #   --config PG_USE_COPY YES
-      ogr2ogr -f "PostgreSQL" -append  ${update} -skipfailures  \
+      #   -nlt CONVERT_TO_LINEAR  # 2015-03-16 ersetzt "ST_CurvePolygon" nÃ€herungsweise durch "ST_Polygon" 
+      ogr2ogr -f "PostgreSQL" -append  ${update} -skipfailures  -nlt CONVERT_TO_LINEAR \
          PG:"dbname=${DBNAME} host=localhost port=5432 ${OGRPGUSER}" -a_srs EPSG:$EPSG ${nasdatei} 2>> $errprot
       nasresult=$?
+
+      # Ergebnis in Logfile UND auf Konsole 
       echo "* Resultat: " $nasresult " fuer " ${nasdatei} | tee -a $errprot
+
+      # Farbige Anzeige des Ergebnis-Codes
+      if [ $nasresult == 0 ]
+      then
+        echo -e "\e[32m${nasdatei} verarbeitet\e[0m" # grÃŒn
+      else
+        echo -e "\e[31m${nasdatei} fehlerhaft\e[0m" # rot
+      fi
+
     done # Ende Zipfile
+
   done # Ende Ordner
   rm ../temp/*.xml
@@ -193,9 +217,6 @@
    UPDATE import SET anz_replace=(SELECT count(*) FROM \"delete\" WHERE context='replace') 
    WHERE id=(SELECT max(id) FROM import) AND verzeichnis='${ORDNER}' AND anz_replace IS NULL;" 
-   # ignored = true auswerten, ggf. warnen ?
-
-#
+
 # Post-Processing / Nacharbeiten
-#
   if [ $PP == "nopp" ]
   then
@@ -203,5 +224,4 @@
     # Dies kann sinnvoll sein, wenn mehrere kleine Aktualisierungen hintereinander auf einem grossen Bestand laufen
     # Der Aufwand fÃŒr das Post-Processing ist dann nur bei der LETZTEN Aktualisierung notwendig.
-
   else
     echo "** Post-Processing (Nacharbeiten zur Konvertierung)"
@@ -212,16 +232,6 @@
     echo "** - Fluren, Gemarkungen, Gemeinden und StraÃen-Namen neu Laden (Script pp_laden.sql):"
     (cd $POSTNAS_HOME; psql $con -f pp_laden.sql)
-
   fi
-
-  # AufrÃ€umen der historischen Objekte -- besser vorher als nachher. Analyse fÃŒr Trigger-Entwicklung
-
- #echo "   delete-Tabelle loeschen:"
- #psql $con -c 'TRUNCATE table "delete";'
-
- #echo "** geendete Objekte entfernen:"
- #psql $con -c "SELECT alkis_delete_all_endet();"
 
   echo "Das Fehler-Protokoll wurde ausgegeben in die Datei $errprot"
   echo "** ENDE PostNAS 0.8-Konvertierung  DB='$DBNAME'  Ordner='$ORDNER' "
- 
Index: /trunk/import/zipaus_ordner.sh
===================================================================
--- /trunk/import/zipaus_ordner.sh	(revision 353)
+++ /trunk/import/zipaus_ordner.sh	(revision 353)
@@ -0,0 +1,36 @@
+#!/bin/sh
+## ------------------------------------------------------------------------------
+## In einem Ordner werden alle Zip-Archive ausgepackt.
+## Die ursprüngliche NAS-Datei wird dabei entfernt: Parameter "-m" (move).
+## ------------------------------------------------------------------------------
+## Stand: 
+##  2015-01-12  PostNAS 08
+
+  echo "****************************************************"
+  echo "**  NAS-Dateien in einem Ordner einzeln UNzippen  **"
+  echo "****************************************************"
+
+  ORDNER=$1
+  if [ $ORDNER = '' ]
+  then
+    echo "Parameter 1 'Ordner' fehlt"
+    $ORDNER = '.'
+    exit 1
+  fi
+
+  echo "*** Ordner = '${ORDNER}'"
+  cd ${ORDNER}
+  echo " "
+  ls
+
+  for zipdatei in *.xml.zip ; do 
+
+    echo "  * Datei: " ${zipdatei}
+    #      Archiv            
+    unzip ${zipdatei}
+    rm    ${zipdatei}
+
+  done
+
+  ls
+  echo "** E n d e  -  AUS-Zippen des Ordners '${ORDNER}'"
Index: /trunk/import/pp_praesentation_action.sql
===================================================================
--- /trunk/import/pp_praesentation_action.sql	(revision 352)
+++ /trunk/import/pp_praesentation_action.sql	(revision 353)
@@ -1,2 +1,4 @@
+
+N I C H T   M E H R   V E R W E N D E N !
 
 -- ALKIS PostNAS 0.8
Index: /trunk/import/grant.sql
===================================================================
--- /trunk/import/grant.sql	(revision 352)
+++ /trunk/import/grant.sql	(revision 353)
@@ -17,6 +17,8 @@
 --  2013-04-19  Neues zum Thema "BodenschÃ€tzung", Views entfallen
 --  2013-10-24  Table "pp_strassenname" ersetzt View "ap_pto_stra" im WMS (ms6)
---  2014-01-22  Neue Views fÃŒr CSV-Export, neue SchlÃŒsseltabelle "ax_namensnummer_eigentuemerart"
+--  2014-01-22  Neue Views fÃŒr CSV-Export, neue SchlÃŒsseltabelle "v_namnum_eigart"
 --  2014-09-08  PostNAS 0.8 ohne "alkis_beziehungen"
+--  2014-09-30  Umbenennung SchlÃŒsseltabellen (Prefix)
+--  2014-12-16  Views fÃŒr WMS Layer-Group Gebiete
 
 
@@ -283,34 +285,34 @@
 
 -- GebÃ€ude
-GRANT SELECT ON TABLE ax_gebaeude_bauweise                 TO ms6;
-GRANT SELECT ON TABLE ax_gebaeude_bauweise                 TO mb27;
-GRANT SELECT ON TABLE ax_gebaeude_funktion                 TO ms6;
-GRANT SELECT ON TABLE ax_gebaeude_funktion                 TO mb27;
-GRANT SELECT ON TABLE ax_gebaeude_dachform                 TO ms6;
-GRANT SELECT ON TABLE ax_gebaeude_dachform                 TO mb27;
-GRANT SELECT ON TABLE ax_gebaeude_weiterefunktion          TO ms6;
-GRANT SELECT ON TABLE ax_gebaeude_weiterefunktion          TO mb27;
-GRANT SELECT ON TABLE ax_gebaeude_zustand                  TO ms6;
-GRANT SELECT ON TABLE ax_gebaeude_zustand                  TO mb27;
-GRANT SELECT ON TABLE ax_bauteil_bauart                    TO ms6;
-GRANT SELECT ON TABLE ax_bauteil_bauart                    TO mb27;
+GRANT SELECT ON TABLE v_geb_bauweise                       TO ms6;
+GRANT SELECT ON TABLE v_geb_bauweise                       TO mb27;
+GRANT SELECT ON TABLE v_geb_funktion                       TO ms6;
+GRANT SELECT ON TABLE v_geb_funktion                       TO mb27;
+GRANT SELECT ON TABLE v_geb_dachform                       TO ms6;
+GRANT SELECT ON TABLE v_geb_dachform                       TO mb27;
+GRANT SELECT ON TABLE v_geb_weiterefkt                     TO ms6;
+GRANT SELECT ON TABLE v_geb_weiterefkt                     TO mb27;
+GRANT SELECT ON TABLE v_geb_zustand                        TO ms6;
+GRANT SELECT ON TABLE v_geb_zustand                        TO mb27;
+GRANT SELECT ON TABLE v_bauteil_bauart                     TO ms6;
+GRANT SELECT ON TABLE v_bauteil_bauart                     TO mb27;
 
 -- BodenschÃ€tzung
-GRANT SELECT ON TABLE ax_bodenschaetzung_bodenart          TO ms6;
-GRANT SELECT ON TABLE ax_bodenschaetzung_bodenart          TO mb27;
-GRANT SELECT ON TABLE ax_bodenschaetzung_entstehungsartoderklimastufe  TO ms6;
-GRANT SELECT ON TABLE ax_bodenschaetzung_entstehungsartoderklimastufe  TO mb27;
-GRANT SELECT ON TABLE ax_bodenschaetzung_kulturart         TO ms6;
-GRANT SELECT ON TABLE ax_bodenschaetzung_kulturart         TO mb27;
-GRANT SELECT ON TABLE ax_bodenschaetzung_zustandsstufe     TO ms6;
-GRANT SELECT ON TABLE ax_bodenschaetzung_zustandsstufe     TO mb27;
-GRANT SELECT ON TABLE ax_bodenschaetzung_sonstigeangaben   TO ms6;
-GRANT SELECT ON TABLE ax_bodenschaetzung_sonstigeangaben   TO mb27;
-GRANT SELECT ON TABLE ax_grablochderbodenschaetzung_bedeutung          TO ms6;
-GRANT SELECT ON TABLE ax_grablochderbodenschaetzung_bedeutung          TO mb27;
-GRANT SELECT ON TABLE ax_musterlandesmusterundvergleichsstueck_merkmal TO ms6;
-GRANT SELECT ON TABLE ax_musterlandesmusterundvergleichsstueck_merkmal TO mb27;
-GRANT SELECT ON TABLE ax_bewertung_klassifizierung         TO ms6;
-GRANT SELECT ON TABLE ax_bewertung_klassifizierung         TO mb27;
+GRANT SELECT ON TABLE v_bschaetz_bodenart                  TO ms6;
+GRANT SELECT ON TABLE v_bschaetz_bodenart                  TO mb27;
+GRANT SELECT ON TABLE v_bschaetz_entsteh_klima             TO ms6;
+GRANT SELECT ON TABLE v_bschaetz_entsteh_klima             TO mb27;
+GRANT SELECT ON TABLE v_bschaetz_kulturart                 TO ms6;
+GRANT SELECT ON TABLE v_bschaetz_kulturart                 TO mb27;
+GRANT SELECT ON TABLE v_bschaetz_zustandsstufe             TO ms6;
+GRANT SELECT ON TABLE v_bschaetz_zustandsstufe             TO mb27;
+GRANT SELECT ON TABLE v_bschaetz_sonst                     TO ms6;
+GRANT SELECT ON TABLE v_bschaetz_sonst                     TO mb27;
+GRANT SELECT ON TABLE v_grabloch_bedeutg                   TO ms6;
+GRANT SELECT ON TABLE v_grabloch_bedeutg                   TO mb27;
+GRANT SELECT ON TABLE v_muster_merkmal                     TO ms6;
+GRANT SELECT ON TABLE v_muster_merkmal                     TO mb27;
+GRANT SELECT ON TABLE v_bewertg_klass                      TO ms6;
+GRANT SELECT ON TABLE v_bewertg_klass                      TO mb27;
 
 -- BodenschÃ€tzung Views
@@ -323,30 +325,30 @@
 
 -- Recht
-GRANT SELECT ON TABLE ax_denkmalschutzrecht_artdf          TO ms6;
-GRANT SELECT ON TABLE ax_denkmalschutzrecht_artdf          TO mb27;
-GRANT SELECT ON TABLE ax_forstrecht_artderfestlegung       TO ms6;
-GRANT SELECT ON TABLE ax_forstrecht_artderfestlegung       TO mb27;
-GRANT SELECT ON TABLE ax_forstrecht_besonderefunktion      TO ms6;
-GRANT SELECT ON TABLE ax_forstrecht_besonderefunktion      TO mb27;
-GRANT SELECT ON TABLE ax_bauraumoderbodenordnungsrecht_artderfestlegung TO ms6;
-GRANT SELECT ON TABLE ax_bauraumoderbodenordnungsrecht_artderfestlegung TO mb27;
-GRANT SELECT ON TABLE ax_anderefestlegungnachstrassenrecht_artdf  TO ms6;
-GRANT SELECT ON TABLE ax_anderefestlegungnachstrassenrecht_artdf  TO mb27;
-GRANT SELECT ON TABLE ax_klassifizierungnachstrassenrecht_artdf   TO ms6;
-GRANT SELECT ON TABLE ax_klassifizierungnachstrassenrecht_artdf   TO mb27;
-GRANT SELECT ON TABLE ax_klassifizierungnachwasserrecht_artdf     TO ms6;
-GRANT SELECT ON TABLE ax_klassifizierungnachwasserrecht_artdf     TO mb27;
-GRANT SELECT ON TABLE ax_naturumweltoderbodenschutzrecht_artdf    TO ms6;
-GRANT SELECT ON TABLE ax_naturumweltoderbodenschutzrecht_artdf    TO mb27;
-GRANT SELECT ON TABLE ax_sonstigesrecht_artdf              TO ms6;
-GRANT SELECT ON TABLE ax_sonstigesrecht_artdf              TO mb27;
+GRANT SELECT ON TABLE v_denkmal_adf                        TO ms6;
+GRANT SELECT ON TABLE v_denkmal_adf                        TO mb27;
+GRANT SELECT ON TABLE v_forstrecht_adf                     TO ms6;
+GRANT SELECT ON TABLE v_forstrecht_adf                     TO mb27;
+GRANT SELECT ON TABLE v_forstrecht_besfkt                  TO ms6;
+GRANT SELECT ON TABLE v_forstrecht_besfkt                  TO mb27;
+GRANT SELECT ON TABLE v_baurecht_adf                       TO ms6;
+GRANT SELECT ON TABLE v_baurecht_adf                       TO mb27;
+GRANT SELECT ON TABLE v_andstrass_adf                      TO ms6;
+GRANT SELECT ON TABLE v_andstrass_adf                      TO mb27;
+GRANT SELECT ON TABLE v_klass_strass_adf                   TO ms6;
+GRANT SELECT ON TABLE v_klass_strass_adf                   TO mb27;
+GRANT SELECT ON TABLE v_klass_wasser_adf                   TO ms6;
+GRANT SELECT ON TABLE v_klass_wasser_adf                   TO mb27;
+GRANT SELECT ON TABLE v_umweltrecht_adf                    TO ms6;
+GRANT SELECT ON TABLE v_umweltrecht_adf                    TO mb27;
+GRANT SELECT ON TABLE v_sonstrecht_adf                     TO ms6;
+GRANT SELECT ON TABLE v_sonstrecht_adf                     TO mb27;
 
 -- Sonstige SchlÃŒsseltabellen
-GRANT SELECT ON TABLE ax_buchungsstelle_buchungsart        TO ms6;
-GRANT SELECT ON TABLE ax_buchungsstelle_buchungsart        TO mb27;
-GRANT SELECT ON TABLE ax_namensnummer_eigentuemerart       TO ms6;
-GRANT SELECT ON TABLE ax_namensnummer_eigentuemerart       TO mb27;
-GRANT SELECT ON TABLE ax_datenerhebung                     TO ms6;
-GRANT SELECT ON TABLE ax_datenerhebung                     TO mb27;
+GRANT SELECT ON TABLE v_bs_buchungsart                     TO ms6;
+GRANT SELECT ON TABLE v_bs_buchungsart                     TO mb27;
+GRANT SELECT ON TABLE v_namnum_eigart                      TO ms6;
+GRANT SELECT ON TABLE v_namnum_eigart                      TO mb27;
+GRANT SELECT ON TABLE v_datenerhebung                      TO ms6;
+GRANT SELECT ON TABLE v_datenerhebung                      TO mb27;
 
 
@@ -380,3 +382,8 @@
   GRANT SELECT ON TABLE exp_csv_str                        TO mb27;
 
+-- WMS Layer-Group Gebiete, individuell nach GemeindeschlÃŒssel gefiltert
+  GRANT SELECT ON TABLE gebiet_flur                        TO ms6;
+  GRANT SELECT ON TABLE gebiet_gemarkung                   TO ms6;
+  GRANT SELECT ON TABLE gebiet_gemeinde                    TO ms6;
+
 -- END --
Index: /trunk/import/nutzungsart_definition.sql
===================================================================
--- /trunk/import/nutzungsart_definition.sql	(revision 352)
+++ /trunk/import/nutzungsart_definition.sql	(revision 353)
@@ -79,9 +79,7 @@
 SELECT AddGeometryColumn('nutzung','wkb_geometry',:alkis_epsg,'POLYGON',2);
 -- Vereinzelt auch vorkommende MULTIPOLYGON
--- 2015-03-10: Massenhaft "ST_CurvePolygon" !
-
--- Quick 'n dirty:
-ALTER TABLE nutzung DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
+-- 2015-03-10: Massenhaft "ST_CurvePolygon"
+--ALTER TABLE nutzung DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- 2015-03-16 diese wieder rÃŒckgÃ€ngig, statt dessen Parameter beim Konverter-Aufruf.
 
 -- 'class' ist nur innerhalb einer Gruppe ein sinvoller Index
Index: /trunk/import/alkis_PostNAS_schema.sql
===================================================================
--- /trunk/import/alkis_PostNAS_schema.sql	(revision 352)
+++ /trunk/import/alkis_PostNAS_schema.sql	(revision 353)
@@ -61,4 +61,6 @@
 
 -- 2014-10-14 FJ "ax_wirtschaftlicheeinheit.anlass" von integer zu character. Sonst Trigger-Fehler bei "delete".
+
+-- 2015-02-18 FJ "ax_gelaendekante.wkb_geometry" von 'LINESTRING' nach 'GEOMETRY' 
 
 --  Dies Schema kann NICHT mehr mit der gdal-Version 1.9 verwendet werden.
@@ -3869,5 +3871,5 @@
 );
 
-SELECT AddGeometryColumn('ax_gelaendekante','wkb_geometry',:alkis_epsg,'LINESTRING',2);
+SELECT AddGeometryColumn('ax_gelaendekante','wkb_geometry',:alkis_epsg,'GEOMETRY',2); -- LINESTRING
 
 CREATE INDEX ax_gelaendekante_geom_idx   ON ax_gelaendekante USING gist  (wkb_geometry);
Index: /trunk/import/datenbank_anlegen.sh
===================================================================
--- /trunk/import/datenbank_anlegen.sh	(revision 352)
+++ /trunk/import/datenbank_anlegen.sh	(revision 353)
@@ -13,4 +13,5 @@
 ##  2014-01-31 F.J. krz: Unterschiede der Datenbank-Struktur fÃŒr die Varianten MIT/OHNE Historie.
 ##  2014-09-08 F.J. krz: PostNAS 08 - Umbenennung, Kommentare, "pp_praesentation_sichten.sql" entfernen
+##  2015-01-14 F.J. krz: Pfad der Logfiles
 
 POSTNAS_HOME=$(dirname $0)
@@ -89,5 +90,5 @@
 echo " 
 ** Anlegen der Datenbank-Struktur fuer PostNAS 0.8 (alkis_PostNAS_schema.sql)"
-psql $con -v alkis_epsg=$EPSG -U ${DBUSER} -f alkis_PostNAS_schema.sql >$MANDANT_HOME/log/schema.log
+psql $con -v alkis_epsg=$EPSG -U ${DBUSER} -f alkis_PostNAS_schema.sql >$POSTNAS_HOME/log/schema.log
 
 # Zwischenstopp zum Betrachten der Ausgabe.
@@ -123,5 +124,5 @@
 ** Anlegen der Datenbank-Struktur - zusaetzliche Schluesseltabellen"
 ## Nur die benoetigten Tabellen fuer die Buchauskunft
-psql $con -U ${DBUSER} -f alkis_PostNAS_keytables.sql >$MANDANT_HOME/log/keytables.log
+psql $con -U ${DBUSER} -f alkis_PostNAS_keytables.sql >$POSTNAS_HOME/log/keytables.log
 
 echo " 
@@ -131,21 +132,21 @@
 echo " 
 ** Laden NUA-Metadaten (nutzungsart_metadaten.sql) Protokoll siehe log"
-psql $con -U ${DBUSER} -f nutzungsart_metadaten.sql >$MANDANT_HOME/log/meta.log
+psql $con -U ${DBUSER} -f nutzungsart_metadaten.sql >$POSTNAS_HOME/log/meta.log
 
 echo " 
 ** Anlegen Post Processing Tabellen (pp_definition.sql)"
-psql $con -v alkis_epsg=$EPSG  -U ${DBUSER} -f pp_definition.sql >$MANDANT_HOME/log/pp_definition.log
+psql $con -v alkis_epsg=$EPSG  -U ${DBUSER} -f pp_definition.sql >$POSTNAS_HOME/log/pp_definition.log
 
 echo " 
 ** Definition von Views fuer Kartendienste (sichten_wms.sql)"
-psql $con -U ${DBUSER} -f sichten_wms.sql >$MANDANT_HOME/log/sichten_wms.log
+psql $con -U ${DBUSER} -f sichten_wms.sql >$POSTNAS_HOME/log/sichten_wms.log
 
 echo " 
 ** Definition von Views (sichten.sql)"
-psql $con -U ${DBUSER} -f sichten.sql >$MANDANT_HOME/log/sichten.log
+psql $con -U ${DBUSER} -f sichten.sql >$POSTNAS_HOME/log/sichten.log
 
 echo " 
 ** Berechtigung (grant.sql) Protokoll siehe log"
-psql $con -U ${DBUSER} -f grant.sql >$MANDANT_HOME/log/log_grant.log
+psql $con -U ${DBUSER} -f grant.sql >$POSTNAS_HOME/log/log_grant.log
 
 echo " 
Index: /trunk/import/sichten.sql
===================================================================
--- /trunk/import/sichten.sql	(revision 352)
+++ /trunk/import/sichten.sql	(revision 353)
@@ -37,5 +37,5 @@
 --  2014-09-29 substring(gml_id,1,16) wieder entfernen, gml_id ist im Schema nun wieder fixe 16 Zeichen lang.
 --  2014-09-30 Umbenennung SchlÃŒsseltabellen (Prefix)
-
+--  2015-03-19 View "suche_grosse_gb_bestaende"
 
 -- Bausteine fÃŒr andere Views:
@@ -830,5 +830,7 @@
 CREATE OR REPLACE VIEW erbbaurechte_suchen
 AS
-  SELECT f.gml_id, f.gemarkungsnummer || '-' || f.flurnummer || '-' || f.zaehler AS fssuch, f.nenner
+  SELECT f.gml_id,
+         f.gemarkungsnummer || '-' || f.flurnummer || '-' || f.zaehler AS fssuch, 
+         f.nenner
    FROM ax_flurstueck    f 
    JOIN doppelverbindung d     -- beide FÃ€lle ÃŒber Union-View: direkt und ÃŒber Recht von BS an BS
@@ -839,5 +841,23 @@
 
 COMMENT ON VIEW erbbaurechte_suchen
- IS 'Suche nach FÃ€llen mit Buchungsrt 2101=Erbbaurecht';
+ IS 'Suche nach FÃ€llen mit Buchungsart 2101=Erbbaurecht';
+
+CREATE OR REPLACE VIEW aufgeteilte_grundstuecke_suchen
+AS
+  SELECT f.gml_id,
+         f.gemarkungsnummer || '-' || f.flurnummer || '-' || f.zaehler AS fssuch, 
+         f.nenner,
+         s.buchungsart, b.bezeichner AS buchungsart_bezeichnung
+   FROM ax_flurstueck    f 
+   JOIN doppelverbindung d     -- beide FÃ€lle ÃŒber Union-View: direkt und ÃŒber Recht von BS an BS
+     ON d.fsgml = f.gml_id 
+   JOIN ax_buchungsstelle s    -- Buchungs-Stelle
+     ON d.bsgml = s.gml_id 
+   JOIN v_bs_buchungsart b ON b.wert = s.buchungsart
+   WHERE s.buchungsart IN (1101, 1102, 1301, 2201, 2203, 2301, 2303) 
+    AND f.endet IS NULL AND s.endet IS NULL;
+
+COMMENT ON VIEW aufgeteilte_grundstuecke_suchen
+ IS 'Suche nach FÃ€llen mit besonderen Buchungsarten (nicht GrundstÃŒck oder Erbbaurecht)';
 
 
@@ -1170,3 +1190,25 @@
  IS 'Suche nach verschiedenen historischen Versionen eines Objektes bei denen das beginn-Datum aufsteigend ist, aber das endet-Datum absteigend (Falsch!).';
 
+
+-- Suchen von groÃen BestÃ€nden, z.B. Grundbuch-Blatt mit mehr als 1000 FlurstÃŒcken
+-- Diese BlÃ€tter machen Probleme bei der NW11-Abfrage der FinanzÃ€mter auf dem ALKIS-Bestand von ibR.
+CREATE OR REPLACE VIEW suche_grosse_gb_bestaende
+AS 
+  -- Blatt  <IstBestandteilVon<  Buchung  <IstGebucht<  FlurstÃŒck
+  SELECT b.bezirk || '-' || b.buchungsblattnummermitbuchstabenerweiterung AS bestand,
+         count(f.gml_id) AS anz_flurstuecke
+  FROM ax_buchungsblatt  b -- Blatt
+  JOIN ax_buchungsstelle g -- GrundstÃŒck
+    ON b.gml_id = g.istbestandteilvon
+  JOIN ax_flurstueck     f -- FlurstÃŒck
+    ON f.istgebucht = g.gml_id
+  WHERE b.endet IS NULL AND g.endet IS NULL AND f.endet IS NULL 
+  GROUP BY b.bezirk || '-' ||b.buchungsblattnummermitbuchstabenerweiterung
+  HAVING count(f.gml_id) > 300 
+  ORDER BY b.bezirk || '-' ||b.buchungsblattnummermitbuchstabenerweiterung
+  LIMIT 30;
+
+COMMENT ON VIEW suche_grosse_gb_bestaende
+ IS 'Suche nach GB-Blatt mit vielen FlurstÃŒcken.';
+
 -- END --