Index: trunk/info/info/alkis/alkisfsnw.php
===================================================================
--- trunk/info/info/alkis/alkisfsnw.php	(revision 349)
+++ trunk/info/info/alkis/alkisfsnw.php	(revision 355)
@@ -25,4 +25,5 @@
 	2014-09-30 Umbenennung SchlÃŒsseltabellen (Prefix), RÃŒckbau substring(gml_id)
 	2014-12-16 Zum Grundbuch einen Hinweis anzeigen, wenn es dazu berechtigte Buchungen gibt.
+	2015-12-09 Austausch .ico durch .png
 
 	ToDo:
@@ -32,4 +33,5 @@
 */
 session_start();
+$id="n";
 $cntget = extract($_GET);
 require_once("alkis_conf_location.php");
@@ -190,8 +192,8 @@
 if ($eig=="j") {
 	echo "<p class='fsei'>ALKIS Flurst&uuml;ck ".$gmkgnr."-".$flurnummer."-".$flstnummer."&nbsp;</p>\n";
-	echo "\n<h2><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> Flurst&uuml;ck mit Eigent&uuml;mer</h2>\n";
+	echo "\n<h2><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Flurst&uuml;ck mit Eigent&uuml;mer</h2>\n";
 } else {
 	echo "<p class='fskennz'>ALKIS Flurst&uuml;ck ".$gmkgnr."-".$flurnummer."-".$flstnummer."&nbsp;</p>\n";
-	echo "\n<h2><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> Flurst&uuml;ck</h2>\n";
+	echo "\n<h2><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Flurst&uuml;ck</h2>\n";
 }
 echo "\n<table class='outer'>\n<tr>\n\t<td>"; // linke Seite
@@ -234,5 +236,5 @@
 // eine Tabellenzeile mit der Gebietszugehoerigkeit eines Flurstuecks wird ausgegeben
 // Schluessel "land" wird nicht verwendet, gibt es Bestaende wo das nicht einheitlich ist?
-echo "\n<tr>\n\t<td class='ll'><img title='Im Gebiet von' src='ico/Gemeinde.ico' width='16' height='16' alt=''> Gebiet:</td>";
+echo "\n<tr>\n\t<td class='ll'><img title='Im Gebiet von' src='ico/Gemeinde.png' width='16' height='16' alt=''> Gebiet:</td>";
 
 // G e m e i n d e
@@ -259,5 +261,5 @@
 				if ($showkey)   {echo "&amp;showkey=j";}
 			echo "' title='Vorg&auml;nger-Flurst&uuml;cke'>Historie ";
-			echo "<img src='ico/Flurstueck_Historisch.ico' width='16' height='16' alt=''>";
+			echo "<img src='ico/Flurstueck_Historisch.png' width='16' height='16' alt=''>";
 		echo "</a>";
 	echo "\n</p>";
@@ -329,5 +331,5 @@
 		echo "\n<tr>\n\t";
 			if ($j == 0) {
-				echo "<td class='ll'><img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''> Adresse:</td>";
+				echo "<td class='ll'><img src='ico/Lage_mit_Haus.png' width='16' height='16' alt=''> Adresse:</td>";
 			} else {
 				echo "<td>&nbsp;</td>";
@@ -345,5 +347,5 @@
 				if ($showkey) {echo "&amp;showkey=j";}
 				echo "'>Lage ";
-				echo "<img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''></a>";
+				echo "<img src='ico/Lage_mit_Haus.png' width='16' height='16' alt=''></a>";
 			echo "\n\t\t</p>\n\t</td>";
 		echo "\n</tr>";
@@ -377,5 +379,5 @@
 	if (!$gewann == "") {
 		echo "\n<tr>";
-			echo "\n\t<td class='ll' title='Lagebezeichnung'><img src='ico/Lage_Gewanne.ico' width='16' height='16' alt=''> Gewanne:</td>";
+			echo "\n\t<td class='ll' title='Lagebezeichnung'><img src='ico/Lage_Gewanne.png' width='16' height='16' alt=''> Gewanne:</td>";
 			echo "\n\t<td></td>";
 			echo "\n\t<td class='lr'>".$gewann."</td>";
@@ -383,5 +385,5 @@
 				echo "\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml;
 				if ($showkey) {echo "&amp;showkey=j";}				
-				echo "'>\n\t\t\tLage <img src='ico/Lage_Gewanne.ico' width='16' height='16' alt=''></a>";
+				echo "'>\n\t\t\tLage <img src='ico/Lage_Gewanne.png' width='16' height='16' alt=''></a>";
 			echo "\n\t\t</p>\n\t</td>";
 		echo "\n</tr>";
@@ -390,5 +392,5 @@
 	if ($skey > 0) {
 		echo "\n<tr>";
-			echo "\n\t<td class='ll'><img src='ico/Lage_an_Strasse.ico' width='16' height='16' alt=''> Stra&szlig;e:</td>";
+			echo "\n\t<td class='ll'><img src='ico/Lage_an_Strasse.png' width='16' height='16' alt=''> Stra&szlig;e:</td>";
 			echo "\n\t<td></td>";
 			echo "\n\t<td class='lr'>";
@@ -402,5 +404,5 @@
 				echo "\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml;
 				if ($showkey) {echo "&amp;showkey=j";}				
-				echo "'>\n\t\t\tLage <img src='ico/Lage_an_Strasse.ico' width='16' height='16' alt=''>\n\t\t\t</a>";
+				echo "'>\n\t\t\tLage <img src='ico/Lage_an_Strasse.png' width='16' height='16' alt=''>\n\t\t\t</a>";
 			echo "\n\t\t</p>\n\t</td>";
 		echo "\n</tr>";
@@ -449,5 +451,5 @@
 	echo "\n<tr>\n\t";
 		if ($j == 0) {
-			echo "<td class='ll' title='Abschnitt der tats&auml;chlichen Nutzung'><img src='ico/Abschnitt.ico' width='16' height='16' alt=''> Nutzung:</td>";
+			echo "<td class='ll' title='Abschnitt der tats&auml;chlichen Nutzung'><img src='ico/Abschnitt.png' width='16' height='16' alt=''> Nutzung:</td>";
 		} else {
 			echo "<td>&nbsp;</td>";
@@ -508,9 +510,9 @@
 		echo "\n\t<td>";
 			switch ($grupp) { // Icon nach 4 Objektartengruppen
-				case "Siedlung":   $ico = "Abschnitt.ico"; break;
-				case "Verkehr":	   $ico = "Strassen_Klassifikation.ico"; break;
-				case "Vegetation": $ico = "Wald.ico"; break;
-				case "GewÃ€sser":   $ico = "Wasser.ico";	break;
-				default:	$ico = "Abschnitt.ico";	break;
+				case "Siedlung":   $ico = "Abschnitt.png"; break;
+				case "Verkehr":	   $ico = "Strassen_Klassifikation.png"; break;
+				case "Vegetation": $ico = "Wald.png"; break;
+				case "GewÃ€sser":   $ico = "Wasser.png";	break;
+				default:	$ico = "Abschnitt.png";	break;
 			}
 			// Icon ist auch im Druck sichtbar, class='noprint' ?		
@@ -534,5 +536,5 @@
 			if ($idanzeige) {echo "&amp;id=j";}
 			if ($showkey) {echo "&amp;showkey=j";}
-			echo "' title='Geb&auml;udenachweis'>Geb&auml;ude <img src='ico/Haus.ico' width='16' height='16' alt=''></a>";
+			echo "' title='Geb&auml;udenachweis'>Geb&auml;ude <img src='ico/Haus.png' width='16' height='16' alt=''></a>";
 		echo "\n\t\t</p>";
 	echo "\n\t</td>";
@@ -562,5 +564,5 @@
 if (pg_num_rows($res_bodeneuordnung) > 0 OR pg_num_rows($res_strittigeGrenze) > 0) {
 	echo "\n<tr>";
-	echo "\n\t<td title='Hinweise zum Flurst&uuml;ck'><h6><img src='ico/Hinweis.ico' width='16' height='16' alt=''> ";
+	echo "\n\t<td title='Hinweise zum Flurst&uuml;ck'><h6><img src='ico/Hinweis.png' width='16' height='16' alt=''> ";
 	echo "Hinweise:</td></h6>\n\t<td colspan=3>&nbsp;</td>";
 	echo "\n</tr>";
@@ -584,5 +586,5 @@
 					if ($idanzeige) {echo "&amp;id=j";}
 					if ($showkey) {echo "&amp;showkey=j";}
-					echo "' title='Bau-, Raum- oder Bodenordnungsrecht'>Recht <img src='ico/Gericht.ico' width='16' height='16' alt=''></a>";
+					echo "' title='Bau-, Raum- oder Bodenordnungsrecht'>Recht <img src='ico/Gericht.png' width='16' height='16' alt=''></a>";
 				echo "\n\t\t</p>";			
 				echo "</td>";
@@ -638,5 +640,5 @@
 	echo "\n<tr>";
 		echo "\n\t<td>";
-			echo "\n\t\t<a name='gb'></a>\n\t\t<h3><img src='ico/Grundbuch_zu.ico' width='16' height='16' alt=''> Grundb&uuml;cher</h3>";
+			echo "\n\t\t<a name='gb'></a>\n\t\t<h3><img src='ico/Grundbuch_zu.png' width='16' height='16' alt=''> Grundb&uuml;cher</h3>";
 		echo "\n\t</td>";
 		echo "\n\t<td>";
@@ -650,5 +652,5 @@
 				} else {
 					echo "&amp;eig=j#gb' title='Flurst&uuml;cks- und Eigent&uuml;mernachweis'>mit Eigent&uuml;mer ";
-					echo "<img src='ico/EigentuemerGBzeile.ico' width='16' height='16' alt=''></a>";
+					echo "<img src='ico/EigentuemerGBzeile.png' width='16' height='16' alt=''></a>";
 				}
 			echo "\n\t\t</p>";
@@ -753,5 +755,5 @@
 							echo "' title='Grundbuchnachweis'>";
 						}
-						echo $blattartg." <img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''>";
+						echo $blattartg." <img src='ico/GBBlatt_link.png' width='16' height='16' alt=''>";
 					echo "</a>";
 				echo "\n\t</p>";
@@ -774,5 +776,5 @@
 		// Person <-benennt< AX_Namensnummer  >istBestandteilVon-> AX_Buchungsblatt
 		if ($eig=="j") { // Wahlweise mit/ohne EigentÃŒmer
-			echo "\n\n<h3><img src='ico/Eigentuemer_2.ico' width='16' height='16' alt=''> Angaben zum Eigentum</h3>\n";
+			echo "\n\n<h3><img src='ico/Eigentuemer_2.png' width='16' height='16' alt=''> Angaben zum Eigentum</h3>\n";
 			$n = eigentuemer($con, $gmlg, false, ""); // ohne Adresse
  			if ($n == 0) {
@@ -792,4 +794,105 @@
 		linkgml($gkz, $gmls, "Buchungstelle", "ax_buchungsstelle");
 	}
+
+
+/* ++ Diese Teil wird deaktiviert, weil das nicht vorkommen kann. SpÃ€ter komplett lÃ¶schen ++
+
+// Dienende Buchungsstellen ausgeben - Beginn
+
+	// Buchungstelle herr. >an> Buchungstelle dien. >istBestandteilVon> BLATT -> Bezirk
+	$sql ="SELECT sd.gml_id AS s_gml, sd.buchungsart, sd.laufendenummer as lfd, sd.zaehler, sd.nenner, sd.nummerimaufteilungsplan as nrpl, sd.beschreibungdessondereigentums as sond, 
+	b.gml_id AS g_gml, b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung as blatt, b.blattart, z.bezeichnung, a.bezeichner AS bart 
+	FROM ax_buchungsstelle sh JOIN ax_buchungsstelle sd ON sd.gml_id=ANY(sh.an) 
+	JOIN ax_buchungsblatt b ON b.gml_id=sd.istbestandteilvon 
+	LEFT JOIN ax_buchungsblattbezirk z ON z.land=b.land AND z.bezirk=b.bezirk 
+	LEFT JOIN v_bs_buchungsart a ON sd.buchungsart=a.wert 
+	WHERE sh.gml_id= $1 AND sh.endet IS NULL AND sd.endet IS NULL AND b.endet IS NULL AND z.endet IS NULL 
+	ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung;";
+
+	$v = array($gmls); // id herrschende Buchungsstelle
+	$resan = pg_prepare("", $sql);
+	$resan = pg_execute("", $v);
+	if (!$resan) {
+		echo "\n<p class='err'>Fehler bei 'weitere Buchungsstellen'.</p>\n";
+		if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
+	}
+
+	$an=0; // Stelle >Recht an> Stelle
+	while($rowan = pg_fetch_array($resan)) {
+		$beznam=$rowan["bezeichnung"];
+		$blattkeyan=$rowan["blattart"]; // Schluessel von Blattart
+		$blattartan=blattart($blattkeyan);
+		echo "\n<hr>\n<table class='outer'>";
+		echo "\n<tr>"; // 1 row only
+			echo "\n<td>"; // outer linke Spalte
+				// Rahmen mit Kennzeichen GB
+				if ($blattkeyan == 1000) {
+					echo "\n\t<table class='kennzgb' title='Bestandskennzeichen'>";
+				} else {
+					echo "\n\t<table class='kennzgbf' title='Bestandskennzeichen'>"; // dotted
+				}
+					echo "\n\t<tr>";
+						echo "\n\t\t<td class='head'>Bezirk</td>";
+						echo "\n\t\t<td class='head'>".$blattartan."</td>";
+						echo "\n\t\t<td class='head'>Lfd-Nr,</td>";
+						echo "\n\t\t<td class='head'>Buchungsart</td>";
+					echo "\n\t</tr>";
+					echo "\n\t<tr>";
+						echo "\n\t\t<td title='Grundbuchbezirk'>";
+						if ($showkey) {echo "<span class='key'>".$rowan["bezirk"]."</span><br>";}
+						echo $beznam."</td>";
+
+						echo "\n\t\t<td title='Grundbuch-Blatt'><span class='wichtig'>".$rowan["blatt"]."</span></td>";
+
+						echo "\n\t\t<td title='Bestandsverzeichnis-Nummer (BVNR, Grundst&uuml;ck)'>".$rowan["lfd"]."</td>";
+
+						echo "\n\t\t<td title='Buchungsart'>";
+							if ($showkey) {echo "<span class='key'>".$rowan["buchungsart"]."</span><br>";}
+							echo $rowan["bart"];
+						echo "</td>";
+					echo "\n\t</tr>";
+				echo "\n\t</table>";
+				if ($rowan["zaehler"] <> "") {
+					echo "\n<p class='ant'>".$rowan["zaehler"]."/".$rowan["nenner"]."&nbsp;Anteil am Flurst&uuml;ck</p>";
+				}
+			echo "\n</td>";
+			echo "\n<td>"; // outer rechte Spalte
+				if ($idanzeige) {
+					linkgml($gkz, $rowan["s_gml"], "Buchungsstelle", "ax_buchungsstelle");
+					echo "<br>";
+					linkgml($gkz, $rowan["g_gml"], "Buchungsblatt", "");
+				}
+				echo "\n<br>";
+				echo "\n\t<p class='nwlink'>";
+					echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowan["g_gml"];
+						if ($idanzeige) {echo "&amp;id=j";}
+						if ($showkey)   {echo "&amp;showkey=j";}
+						echo "' title='Grundbuchnachweis mit kompletter Eigent&uuml;merangabe'>";
+						echo $blattartan;
+						echo " <img src='ico/GBBlatt_link.png' width='16' height='16' alt=''>";
+					echo "</a>";
+				echo "\n\t</p>";
+			echo "\n\t</td>";
+		echo "\n</tr>";
+		echo "\n</table>";
+
+		if ($blattkeyan != 1000) {
+			echo "\n<p>Blattart: ".$blattartan." (".$blattkeyan.").<br>\n"; 
+		}
+		if ($rowan["nrpl"] != "") {
+			echo "<p class='nrap' title='Nummer im Aufteilungsplan'>Nummer <span class='wichtig'>".$rowan["nrpl"]."</span> im Aufteilungsplan.</p>";
+		}
+		if ($rowan["sond"] != "") {
+			echo "<p class='sond' title='Sondereigentum'>Verbunden mit dem Sondereigentum<br>".$rowan["sond"]."</p>";
+		}
+		if ($eig == "j") {
+			$n = eigentuemer($con, $rowan["g_gml"], false, ""); // ohne Adresse
+		}
+		$an++;	
+	}
+	pg_free_result($resan);
+// Dienende Buchungsstellen ausgeben - Ende
+*/
+
 	$bs++;
 }
@@ -805,7 +908,7 @@
 	<div class='buttonbereich noprint'>
 	<hr>
-		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.ico" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
-		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.ico" width="16" height="16" alt="Drucken"></a>&nbsp;
-		<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download_fs.ico" width="32" height="16" alt="Export"></a>&nbsp;
+		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.png" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
+		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.png" width="16" height="16" alt="Drucken"></a>&nbsp;
+		<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download_fs.png" width="32" height="16" alt="Export"></a>&nbsp;
 	</div>
 </form>