Index: trunk/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_adr.php	(revision 339)
+++ trunk/mapbender/http/nav/alkisnav_adr.php	(revision 356)
@@ -2,13 +2,14 @@
 /* Version vom 
 	2013-04-26	"import_request_variables" entfÃ€llt in PHP 5.4.
-					ZurÃŒck-Link, Titel der Transaktion anzeigen
+				ZurÃŒck-Link, Titel der Transaktion anzeigen
 	2013-04-29	Test mit IE
-	2013-05-07  Strukturierung des Programms
-	2013-05-14  Feinkorrekturen
-	2013-05-15  Gruppierung nach Gemeinde, mehrfache HsNr (ap_pto.advstandardmodell) unterdrÃŒcken, Icon f. StraÃe
+	2013-05-07	Strukturierung des Programms
+	2013-05-14	Feinkorrekturen
+	2013-05-15	Gruppierung nach Gemeinde, mehrfache HsNr (ap_pto.advstandardmodell) unterdrÃŒcken, Icon f. StraÃe
 	2014-01-23	Link zum Auskunft-Modul fÃŒr StraÃe
-	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
-	2014-09-15  Bei Relationen den Timestamp abschneiden, mehr "endet IS NULL"
-	2014-09-30 RÃŒckbau substring(gml_id)
+	2014-09-03	PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-15	Bei Relationen den Timestamp abschneiden, mehr "endet IS NULL"
+	2014-09-30	RÃŒckbau substring(gml_id)
+	2015-12-10	Umstellen .ico auf .png, Vermeidung nicht initialisierter Variable
 
 	ToDo:
@@ -20,4 +21,9 @@
 		Dazu in der DB eine Tabelle mit Koordinate zum StraÃenschlÃŒssel aufbauen. 
 */
+
+// Variable Initialisieren
+$str_schl="";
+$skey="";
+
 $cntget = extract($_GET);
 include("../../conf/alkisnav_conf.php");
@@ -25,4 +31,5 @@
 $con_string = "host=".$host." port=".$port." dbname=".$dbname.$dbvers.$gkz." user=".$user." password=".$password;
 $con = pg_connect ($con_string) or die ("Fehler bei der Verbindung zur Datenbank ".$$dbname.$dbvers.$gkz);
+
 echo <<<END
 
@@ -48,7 +55,9 @@
 <body>
 <a href='javascript:history.back()'>
-	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" title="zur&uuml;ck">
-</a>
-<dfn class='title' id='transaktiontitle'></dfn>
+	<img src="ico/zurueck.png" width="16" height="16" alt="&lt;&lt;" title="zur&uuml;ck">
+</a>&nbsp;
+<span title='zuletzt ausgef&uuml;hrte Aktion'>
+	<dfn class='title' id='transaktiontitle'></dfn>
+</span>
 
 END;
@@ -57,4 +66,5 @@
 	global $street, $scalestr, $str_schl, $gkz, $gemeinde, $epsg, $gfilter, $debug, $auskpath;
 	$linelimit=120;  // -> in die Conf?
+	$str_schl=""; // Loeschen vorheriges Ergebnis
 	preg_match("/^(\D+)(\d*)(\D*)/",$street,$matches); # 4 matches name/nr/zusatz echo "match: ".$matches[1].",".$matches[2].",".$matches[3];
 	$matches[1] = preg_replace("/strasse/i","str", $matches[1]);
@@ -110,5 +120,5 @@
 		// Icon -> Buchnachweis
 		echo "\n\t<a title='Nachweis' href='javascript:imFenster(\"".$auskpath."alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$kgml."\")'>";
-			echo "\n\t\t<img class='nwlink' src='ico/Lage_mit_Haus.ico' width='16' height='16' alt='STR' title='Stra&szlig;e'>";
+			echo "\n\t\t<img class='nwlink' src='ico/Lage_mit_Haus.png' width='16' height='16' alt='STR' title='Stra&szlig;e'>";
 		echo "\n\t</a>";
 		echo "<a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;str_schl=".$gkey."'>".$sname."</a>";
@@ -117,4 +127,5 @@
 		$cnt++;
 	}
+
 	if($cnt == 0) {
 		echo "<pclass='anz'>Keine Stra&szlig;e</p>";
@@ -172,5 +183,5 @@
 			// Icon -> Buchnachweis
 			echo "\n\t<a title='Nachweis' href='javascript:imFenster(\"".$auskpath."alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$kgml."\")'>";
-				echo "\n\t\t<img class='nwlink' src='ico/Lage_mit_Haus.ico' width='16' height='16' alt='STR' title='Stra&szlig;e'>";
+				echo "\n\t\t<img class='nwlink' src='ico/Lage_mit_Haus.png' width='16' height='16' alt='STR' title='Stra&szlig;e'>";
 			echo "\n\t</a>";
 		
@@ -256,9 +267,7 @@
 			}
 
-// +++ IN ARBEIT:
-			echo "\n\t<div class='stu' title='Stra&szlig;enschl&uuml;ssel ".$skey."'>";
 			// Icon -> Buchnachweis
-			echo "\n\t<a title='Nachweis' href='javascript:imFenster(\"".$auskpath."alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$kgml."\")'>";
-				echo "\n\t\t<img class='nwlink' src='ico/Lage_mit_Haus.ico' width='16' height='16' alt='STR' title='Stra&szlig;e'>";
+			echo "\n\t<br><a href='javascript:imFenster(\"".$auskpath."alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$kgml."\")'>";
+				echo "\n\t\t<img class='nwlink' src='ico/Lage_mit_Haus.png' width='16' height='16' alt='STR' title='Buchauskunft zur Stra&szlig;e'>";
 			echo "\n\t</a>";
 
@@ -284,5 +293,4 @@
 					break;
 			}			
-			echo "\n</div>";
 		}
 		echo "\n<hr>";
@@ -303,10 +311,11 @@
 		GROUP BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2) 
 		ORDER BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2);";
-		// Problem: mehrere Koordinaten fÃŒr verschiedene MaÃstÃ€be der Kartendarstellung
-		// Diese sollten nicht mehrfach gelistet werden. FÃŒr Positionierung "irgendeine" nehmen.
+		// Problem: In der Datenbank gibt es mehrere hausnummern-Koordinaten fÃŒr verschiedene 
+		// MaÃstÃ€be der Kartendarstellung
+		// Diese sollten nicht mehrfach gelistet werden. FÃŒr die Positionierung "irgendeine" nehmen.
 		// LÃ¶sung: ÃŒber GROUP BY in SQL. Alternative LÃ¶sungen wÃ€ren: 
 		//  1. Gruppenwechsel bei Abarbeitung des Result
 		//  2. Subquery mit LIMIT 1 statt JOIN
-		//  3. Geometrie aus GebÃ€ude-Mittelpunkt statt aus PrÃ€sentationsobjekt der Hausnummer
+		//  3. Koordinate aus dem Mittelpunkt der GebÃ€ude-Geometrie verwenden statt aus dem PrÃ€sentationsobjekt der Hausnummer
 
  		$v=array($land,$regb,$kreis,$gemnd,$nr);
@@ -323,5 +332,5 @@
 		echo "\n<table>";
 		while($rowh = pg_fetch_array($resh)) { // mehrere HsNr je Zeile
-			if($count == 0){echo "\n<tr>";}	
+			if($count == 0) {echo "\n<tr>";}	
 			$hsnr=$rowh["hsnr"];
 			$x=$rowh["x"];
@@ -339,5 +348,5 @@
 			$cnt++;
 			$count++;
-			if($count == 6) {
+			if($count == 7) { // Max. Hausnummern je Zeile (Test: 3stellige HsNr mit Zusatz)
 				echo "\n</tr>";
 				$count = 0;
@@ -381,13 +390,19 @@
 		suchStrKey();
 	} else {
-		$trans="Suche Stra&szlig;enname \"".$street."\"";
+		$trans="Suche Stra&szlig;enname \"".$street."*\"";
 		suchStrName();
 	}
-	if(isset($str_schl)) { // Eindeutiges Ergebnis
+	if($str_schl != "") { // EINdeutiges Ergebnis
 		$trans="1 Stra&szlig;e gefunden, Hausnummern";
 		suchHausZurStr(false);
 	}
-}
-// Titel im Kopf anzeigen
+} else {
+	$trans="keine Eingabe";
+}
+
+// Nach Durchlaufen des PHP-Scriptes die zuletzt ausgefÃŒhrte Transaktion 
+// im Kopf des Ergebnisrahmens anzeigen.
+// Dazu die im HTML-Header definierte Javascript-Function benutzen.
+// Alternativ wird auch aus dem Javascript "positionieren Karte" dieser Titel gesetzt.
 echo "
 <script type='text/javascript'>